/**
 * Description:	AJAX Post Preview
 * URI:	
 * Author: Vitaliy Ralle, Sumanai
 * Email: email4vit [] gmail.com
 * License:	MIT
 * License URI:	http://www.gnu.org/licenses/gpl-3.0.html
 */
!function ($) {
	/* Preview viewtopic*/
	$(function(){
		function preview() {
			var form = document.getElementById("postform")
			var formData = new FormData(form)
			formData.append("preview", "")
			var url = form.action
				.replace('posting.php', 'postingajax.php')
				.replace('ucp.php', 'ucpjax.php')
			// console.log("form:",form,"formdata:",formData,"url:",url)
			$.ajax({
				global: false,
				type: "POST",
				url: url,
				data: formData,
				cache: false,
				contentType: false,
				processData: false,
				success:  function(data){
					// console.log("data:",data)
					if ($("#preview").length){
						$preview = $("#preview")
						$preview.next("hr").remove()
						$preview.remove()
					}
					$(".alert").remove()
					$(".post:last").after(data)
					target = document.getElementById("preview") || document.getElementsByClassName("alert")[0]
					$('html, body').animate({
						scrollTop: $(target).offset().top
					}, 200)
				}
			})
		}
 		
		$(document).on('click', '.section-viewtopic input[name=preview]', function(e) {
			e.preventDefault()
			e.stopPropagation()
			preview()
		})
	})
}(window.jQuery)